*{  font-family: "Poppins", sans-serif;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  outline: none; border: none;
  transition:  .2 linear;
  scroll-behavior: smooth;
  
}
body::-webkit-scrollbar{
  width: 15px;
  height: 15px;
}
body::-webkit-scrollbar-thumb{
  background-color:#767676;
  border-radius: 8px;
}

body::-webkit-scrollbar-thumb:hover{
  background-color: #FFF94D;
  color: #000;
}

/* Estilos generales */
body {
  font-family: Arial, sans-serif;
  margin: 0;
  padding: 0;
}

/* Estilos para el modal */
.modal {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.8); /* Fondo oscuro semitransparente */
  z-index: 1000; /* Capa superior */
}

.modal-contenido {
  position: relative; /* Cambiado a relativo para poder posicionar la cruz encima */
  top: 50%;
  transform: translateY(-50%);
  background-color: transparent; /* Fondo transparente para el contenido del modal */
  padding: 20px;
  max-width: 80%; /* Ancho máximo del modal */
  max-height: 80%; /* Altura máxima del modal */
  overflow: hidden; /* Ocultar contenido que sobresalga del modal */
  margin: auto;
  
}

.cerrar-modal {
  position: absolute;
  top: 10px;
  right: 10px;
  font-size: 30px;
  cursor: pointer;
  color: #FFF94D;
  z-index: 10; /* Asegura que esté encima de la imagen de fondo */
}

.cerrar-modal:hover {
  color: #000;
}

.imagen-fondo {
  position: relative;
  width: 100%;
  height: 100%;
  overflow: hidden;
  border-radius: 8px;
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.3); /* Sombra alrededor del modal */
}

.imagen-fondo img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  filter: brightness(80%); /* Reducir el brillo de la imagen */
  border-radius: 8px;
}

.titulo {
  position: absolute;
  top: 200px;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  z-index: 10; /* Colocar encima de la imagen de fondo */
  color:#FFF94D;
}

.titulo h2 {
  font-size: 3em; /* Tamaño grande para el título */
  margin: 0;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.8); /* Sombra de texto para mayor legibilidad */
}
.titulo h3{
  font-size: 1.5em; /* Tamaño grande para el título */
  margin: 0;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.8); /* Sombra de texto para mayor legibilidad */
  color: white;
}
/* Estilos para dispositivos móviles */
@media (max-width: 768px) {
  .modal-contenido {
      max-width: 100%;
      max-height: 100%;
  }

  .titulo h2 {
      font-size: 1em; /* Reducir el tamaño del título en dispositivos móviles */
      width: 100%;
      justify-content: center;
      
  }
  .titulo h3{
      font-size: 0.5em;
      width: 100%;
      justify-content: center;

  }
  .imagen-fondo{
      height: 400px;
  }
}
.contenedor1 {
  width: 100%;
  
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 20px;
  background-color: beige;
  box-sizing: border-box;
  margin: auto;
}
@media (max-width: 768px) {
  .contenedor1 {
    padding: 10px;
  }
}

.historia {
  max-width: 800px;
  margin: 20px auto;
  padding: 0 20px;
  background-color: beige;
}

.historia h1 {
  margin-bottom: 20px;
  margin-top: 20px;
}

.historia p {
  border-left: 8px solid #FFF94D;
  padding-left: 20px;
  margin-bottom: 30px;
}

.show-button {
  text-align: center;
  margin-bottom: 30px;
}

.show-button button {
  background-color: #333;
  color: white;
  border: none;
  padding: 10px 20px;
  cursor: pointer;
  border-radius: 20px;
}
/* Estilos base para la línea de tiempo */
.timeline-container {
  display: none; /* Ocultar inicialmente el contenido */
  padding: 20px;
  max-width: 100%;
  margin: 20px auto;
}

.timeline {
  position: relative;
  padding: 0 20px;
  overflow: hidden; /* Para asegurar que la línea no sobresalga */
}

.timeline::after {
  content: '';
  position: absolute;
  width: 6px;
  background-color: #333;
  top: 0;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
}

.timeline-item {
  padding: 20px 0;
  position: relative;
  width: 100%;
  box-sizing: border-box;
}

.timeline-item:nth-child(odd) {
  left: 0;
}

.timeline-item:nth-child(even) {
  left: 50%;
}

.timeline-item::before {
  content: '';
  position: absolute;
  width: 20px;
  height: 20px;
  background-color: white;
  border: 4px solid #333;
  top: 15px;
  border-radius: 50%;
  z-index: 1;
  transition: background-color 0.3s ease-in-out; /* Transición para el cambio de color */
}

.timeline-item:nth-child(odd)::before {
  right: -10px;
}

.timeline-item:nth-child(even)::before {
  left: -10px;
}

.timeline-item.visible::before {
  background-color: #333; /* Color de fondo del círculo cuando está lleno */
}

.timeline-content {
  background-color: white;
  padding: 20px;
  border-radius: 6px;
  position: relative;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.timeline-content img {
  width: 100%;
  height: auto;
  border-radius: 6px 6px 0 0;
  display: block; /* Asegurar que las imágenes se comporten bien */
}

.timeline-content .text {
  padding: 10px 0;
}

/* Mostrar la línea de tiempo cuando se active la clase */
.timeline-container.show-timeline {
  display: block;
}

/* Media query para pantallas más pequeñas */
@media (max-width: 768px) {
  .timeline-container {
    padding: 10px;
  }
  .timeline-item:nth-child(odd),
  .timeline-item:nth-child(even){
    width: 50%;
  }
  .timeline::after {
    display: none; /* Ocultar la línea vertical en pantallas pequeñas */
  }

  .timeline-item {
    width: 100%;
    padding-left: 0;
    padding-right: 0;
  }

  .timeline-item::before {
    display: none; /* Ocultar los círculos en pantallas pequeñas */
  }

  .timeline-content {
    width: calc(100% - 80px);
    padding: 10px;
  }
}


a{
  text-decoration: none;
}

.logo{
top: 0;

}




/* Estilos base para la barra de navegación */
.navbar {
  display: flex;
  justify-content: center;
  background-color: #000000;
  padding: 10px 20px;
  width: 100%;
  top: 0;
  z-index: 1000;
}

.navbar-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  max-width: 1200px;
}

.nav-list {
  display: flex;
  list-style: none;
  margin: 0;
  padding: 0;
}

.nav-list li {
  margin: 0 10px;
}

.navbar a {
  text-decoration: none;
  color: #ffffff;
  position: relative;
  padding: 0.5em;
  text-transform: uppercase;
}

.navbar a::before {
  content: '';
  position: absolute;
  top: 100%;
  left: 0;
  width: 0;
  height: 2px;
  background: #FFF94D;
  transition: width 0.3s;
}

.navbar a:hover::before {
  width: 100%;
}

/* Estilos para el menú hamburguesa en pantallas pequeñas */
@media (max-width: 600px) {
  .navbar-container {
    flex-direction: column;
    align-items: center;
  }

  .nav-list {
    display: none; /* Ocultar lista de navegación por defecto en dispositivos móviles */
    position: absolute;
    top: 60px; /* Ajustar la posición del menú debajo de la barra de navegación */
    left: 0;
    width: 100%; /* Ocupar todo el ancho disponible */
    background-color: #000000; /* Color de fondo del menú */
    padding: 10px 0; /* Espaciado interior del menú */
    box-shadow: 0 2px 5px rgba(0,0,0,0.2); /* Sombra para el menú */
    z-index: 100; /* Asegurar que esté encima del contenido */
    text-align: center; /* Centrar el texto en el menú */
    transition: max-height 0.3s ease-out; /* Animar la apertura/cierre del menú */
    overflow: hidden; /* Ocultar el desbordamiento */
  }

  .nav-list.open {
    display: flex; /* Mostrar lista de navegación cuando el menú está abierto */
    flex-direction: column;
    align-items: center;
  }

  .nav-list li {
    margin: 10px 0; /* Espaciado entre elementos del menú */
  }

  .navbar a::before {
    display: none; /* Ocultar línea bajo los enlaces del menú */
  }

  .menu-icon {
    cursor: pointer;
    order: 2; /* Colocar el ícono del menú después del logo en dispositivos móviles */
    display: block; /* Mostrar el ícono del menú */
  }

  .menu-icon span {
    display: block;
    width: 25px;
    height: 3px;
    background-color: #ffffff;
    margin: 5px;
    transition: transform 0.4s, opacity 0.4s;
  }

  .menu-icon.open span:nth-child(1) {
    transform: rotate(-45deg) translate(-5px, 6px);
  }

  .menu-icon.open span:nth-child(2) {
    opacity: 0;
  }

  .menu-icon.open span:nth-child(3) {
    transform: rotate(45deg) translate(-5px, -6px);
  }
}


.video{
  width: 100%; 
display: block;
}
.text-overlay {
  position: absolute;
  top: 50%; /* Centrar verticalmente */
  left: 50%; /* Centrar horizontalmente */
  transform: translate(-50%, -50%);
  text-align: center;
  color: #fff; /* Color del texto */
  z-index: 3; /* Coloca el texto encima del video */
}

.text-overlay h1 {
  font-size: 2.5em;
  margin-bottom: 10px;
  color:#FFF94D;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.8);
  
}


@media (max-width:768px){
  .text-overlay h1{ display: none;
  }
}
/* Estilos base para la línea de tiempo */
.timeline-container {
  display: none; /* Ocultar inicialmente el contenido */
  padding: 20px;
  max-width: 800px;
  margin: 20px auto;
}

.timeline {
  position: relative;
  padding: 0 20px;
  overflow: hidden; /* Para asegurar que la línea no sobresalga */
}

.timeline::after {
  content: '';
  position: absolute;
  width: 6px;
  background-color: #333;
  top: 0;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
}

.timeline-item {
  padding: 20px 0;
  position: relative;
  width: 50%;
  box-sizing: border-box;
}

.timeline-item:nth-child(odd) {
  left: 0;
}

.timeline-item:nth-child(even) {
  left: 50%;
}

.timeline-item::before {
  content: '';
  position: absolute;
  width: 20px;
  height: 20px;
  background-color: white;
  border: 4px solid #333;
  top: 15px;
  border-radius: 50%;
  z-index: 1;
  transition: background-color 0.3s ease-in-out; /* Transición para el cambio de color */
}

.timeline-item:nth-child(odd)::before {
  right: -10px;
}

.timeline-item:nth-child(even)::before {
  left: -10px;
}

.timeline-item.visible::before {
  background-color: #333; /* Color de fondo del círculo cuando está lleno */
}

.timeline-content {
  background-color: white;
  padding: 20px;
  border-radius: 6px;
  position: relative;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.timeline-content img {
  width: 100%;
  height: auto;
  border-radius: 6px 6px 0 0;
  display: block; /* Asegurar que las imágenes se comporten bien */
}

.timeline-content .text {
  padding: 10px 0;
}

/* Mostrar la línea de tiempo cuando se active la clase */
.timeline-container.show-timeline {
  display: block;
}

/* Media query para pantallas más pequeñas */
@media (max-width: 768px) {
  .timeline-container {
    display: none; /* Ocultar la línea de tiempo en pantallas pequeñas */
  }

  .timeline::after {
    display: none; /* Ocultar la línea vertical en pantallas pequeñas */
  }

  .timeline-item {
    width: 100%;
    padding-left: 0;
    padding-right: 0;
  }

  .timeline-item::before {
    display: none; /* Ocultar los círculos en pantallas pequeñas */
  }

  .timeline-content {
    width: calc(100% - 40px);
    margin-left: auto;
    margin-right: auto;
  }

  .show-button {
    display: none; /* Ocultar el botón de mostrar más historia en pantallas pequeñas */
  }
}


.containerr {
  max-width: 100%;
  padding: 40px;
  background-color: black;
}

.texto {
  font-size: 1.2rem;
  color: #ffffff;
  
}

.highlight {
  color: #FFF94D; /* Color de resaltado */
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.8); 
}

/* Responsive Design */
@media (max-width: 600px) {
  .text {
      font-size: 1rem;
  }
}












/* Estilos generales del contenedor y recetas */
.contenedor {
  max-width: 2300px;
  margin: auto;
  padding: 20px;
  background-color: beige;
  box-sizing: border-box;
}

.recetas {
  text-align: center;
  margin-bottom: 20px;
  margin-top: 50px;
  background-color: beige;
}

.recetas h1 {
  font-size: 32px;
  color: #333;
  
}

.recetas p {
  color: #555;
  font-size: 16px;
  
}

/* Estilos para las tarjetas */
.cards {
  display: flex;
  flex-wrap: nowrap; /* Flexbox para mantener una fila */
  overflow-x: auto; /* Scroll horizontal para el carrusel */
  gap: 20px; /* Espacio entre tarjetas */
  margin-top: 20px;
  padding-bottom: 20px;
}

.card {
  flex: 1 0 300px; /* Tamaño fijo inicial de las tarjetas */
  background-color: #fff;
  border-radius: 8px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  overflow: hidden;
  transition: transform 0.3s ease;
}

.card:hover {
  transform: translateY(-5px);
}

.card img {
  width: 100%;
  height: 200px;
  object-fit: cover;
  border-radius: 8px 8px 0 0;
}

.card .content {
  padding: 20px;
}

.card h3 {
  font-size: 20px;
  color: #333;
  margin-bottom: 10px;
}

.card p {
  font-size: 16px;
  color: #555;
  line-height: 1.6;
}

.botton {
  background-color: rgb(148, 150, 150);
  padding: 10px;
  text-align: center;
  


}
.botton-container {
  display: flex;
  justify-content: center; /* Alinear botones al centro horizontalmente */
  gap: 10px; /* Espacio entre botones */
  margin-top: 20px; /* Espacio desde la última tarjeta hasta los botones */
 
}
.card {
  border: 1px solid #ccc;
  margin-bottom: 20px;
  padding: 10px;
}

.content {
  display: flex;
  flex-direction: column;
}


.mostrar .text-extendido {
  display: block; /* Mostrar cuando se expande */
}

.leer-mas {
  align-self: flex-end; /* Alinea el botón al final del contenedor */
  margin-top: auto; /* Empuja el botón hacia abajo */
}

.leer-mas {
 
  background-color: #333;
  color: #fff;
  font-size: 16px;
  border: none;
  border-radius: 20px;
  padding: 8px 20px;
  cursor: pointer;
  transition: background-color 0.3s ease;
  
}

.leer-mas:hover {
  background-color: #555;
}
.text-extendido {
  display: none; /* Inicialmente oculto */
}

.mostrar {
  display: block; /* Mostrar cuando se expande */
}

/* Media Queries para hacer responsive */
@media (max-width: 1200px) {
  .card {
    flex: 1 0 calc(50% - 20px);
  }
}

@media (max-width: 768px) {
  .card {
    flex: 0 0 300px; /* Tamaño fijo para cada tarjeta */
    width: 300px; /* Asegura que el tamaño de las tarjetas se mantenga */
  }
}

@media (max-width: 576px) {
  .card {
    flex: 0 0 250px; /* Ajusta el tamaño si es necesario */
    width: 250px; /* Asegura que el tamaño de las tarjetas se mantenga */
  }
  
}



.container {
  background: linear-gradient(45deg, rgb(205, 223, 42), rgb(0, 0, 0));
  padding: 40px;
  padding-bottom: 100px;
  
}

.container p {
  color: white;
  text-align: center;
  margin-bottom: 20px;
}

.container .heading {
  text-align: center;
  padding-bottom: 15px;
  color: rgb(235, 227, 227);
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.8); 
  font-size: 30px;
}

.container .box-container {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 15px;
  width: 80%;
  margin: auto;
}

.container .box-container .box {
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
  border-radius: 5px;
  background: #fff;
  text-align: center;
  padding: 30px 20px;
}

.container .box-container .box img {
  height: 200px;
  width: 200px;
  border-radius: 50%;
  object-fit: cover; /* Ajuste para mantener la relación de aspecto */
}

.container .box-container .box h3 {
  color: #000;
  font-size: 22px;
  padding: 10px 0;
}

.container .box-container .box p {
  color: #5c5757;
  font-size: 15px;
  line-height: 1.8;
}

.container .box-container .box .btn {
  margin-top: 10px;
  display: inline-block;
  background: #333;
  color: #fff;
  font-size: 17px;
  border-radius: 20px;
  padding: 8px 25px;
  text-decoration: none;
}

.container .box-container .box:hover {
  box-shadow: 0 10px 15px rgba(0, 0, 0, 0.3);
  transform: scale(1.01);
}

/* Media query para pantallas más pequeñas */
@media (max-width: 992px) {
  .container .box-container {
      grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 768px) {
  .container .box-container {
      grid-template-columns: 1fr;
  }

  .container .box-container .box img {
      height: auto;
      width: 100%;
      border-radius: 8px 8px 0 0;
  }
}
.texto-completo {
  display: none; /* Ocultar texto adicional por defecto */
}















.whatsapp-container {
  position: fixed;
  bottom: 20px;
  right: 10px;
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  z-index: 1000;
}

.whatsapp-button {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 60px;
  height: 60px;
  background-color: #25D366;
  color: white;
  border-radius: 50%;
  text-decoration: none;
  font-size: 30px;
  box-shadow: 0 2px 5px rgba(0,0,0,0.3);
  transition: background-color 0.3s;
}

.whatsapp-button:hover {
  background-color: #1DA851;
}

.whatsapp-popup {
  display: none;
  background-color: white;
  border-radius: 40px;
  box-shadow: 0 2px 5px rgba(0,0,0,0.3);
  padding: 10px;
  text-align: center;
  width: 250px;
  position: absolute;
  right: calc(100% + 2px); /* Asegúrate de que el popup esté a la izquierda del botón */
  bottom: 0;
  margin-right: 10px; /* Espacio entre el botón y el popup */
  z-index: -1; /* Asegúrate de que esté por detrás del botón */
}

.whatsapp-popup p {
  
  color: #000;
}

.whatsapp-popup-arrow {
  position: absolute;
  top: 50%;
  right: -10px;
  width: 0;
  height: 0;
  border-left: 10px solid white;
  border-top: 10px solid transparent;
  border-bottom: 10px solid transparent;
  transform: translateY(-50%);
}

/* Mostrar el popup al pasar el ratón sobre el botón */
.whatsapp-container:hover .whatsapp-popup {
  display: block;
}

/* Responsive adjustments */
@media (max-width: 600px) {
  .whatsapp-button {
      width: 50px;
      height: 50px;
      font-size: 25px;
  }

  .whatsapp-popup {
      width: 250px;
      padding: 10px;
  }

  .whatsapp-popup-arrow {
      right: -8px;
      border-left: 8px solid white;
      border-top: 8px solid transparent;
      border-bottom: 8px solid transparent;
  }
}
/* Estilos base para la sección destacada */
.productosdestacados {
  display: flex;
  overflow: hidden; /* Evita el desbordamiento de los elementos flexibles */
  justify-content: space-around; /* Distribuye los elementos de forma equitativa */
  background-color: beige;
}

.destacados {
  flex: 1; /* Ocupa el espacio disponible */
  max-width: 100%; /* Ajuste para garantizar que no haya desbordamiento en pantallas pequeñas */
  background-color: beige;
  overflow: hidden;
  position: relative;
  text-align: center; /* Centra el contenido */
  margin: 10px; /* Espacio entre los elementos */
}

.destacados img {
  width: 100%;
  height: 100%;
  max-height: 600px; /* Altura máxima para las imágenes */
  object-fit: cover;
}

.textdestacados {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: white;
  text-align: center;
  background-color: rgba(0, 0, 0, 0.26);
  padding: 10px;
  border-radius: 10px;
  cursor: pointer;
}

.textdestacados h1, .textdestacados p {
  margin: 0;
}

.textdestacados h1 {
  color: black;
  background-color: #FFF94D;
  border-radius: 40px;
  font-size: 2em; /* Tamaño de fuente base para pantallas grandes */
}

.show-modal {
  color: white;
  background-color: #333;
  padding: 10px 20px;
  border-radius: 20px;
  cursor: pointer;
  margin-top: 10px;
}

.show-modal:hover {
  background-color: #555;
}

/* Estilos para los modales */
.modal {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 1000;
  overflow: auto;
}

.contenido-modal {
  position: relative;
  margin: 5%;
  width: 80%;
  max-width: 600px;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: white;
  padding: 20px;
  border-radius: 10px;
  text-align: center;
}

.cerrar-modal {
  position: absolute;
  top: 10px;
  right: 10px;
  font-size: 30px;
  color: #aaa;
  cursor: pointer;
}

.cerrar-modal:hover {
  color: black;
}

@media (max-width: 768px) {
  .productosdestacados {
    flex-direction: column; /* Cambia el flujo a columna en pantallas pequeñas */
  }

  .textdestacados {
    width: 100%; /* Ocupa todo el ancho en pantallas pequeñas */
    height: 100%;
    margin-bottom: 10px; /* Espacio entre los elementos en pantallas pequeñas */
    padding: 10px; /* Ajustar el padding para mantener el diseño en pantallas pequeñas */
  }

  .textdestacados h1 {
    font-size: 1.5em; /* Tamaño de fuente reducido para pantallas pequeñas */
  }

  .destacados img {
    max-height: 700px; /* Altura máxima ajustada para pantallas pequeñas */
  }
}




.icon-container {
  display: flex;
  justify-content: space-around;
  flex-wrap: wrap;
  background-color: beige;
}

.icon-box {
  text-align: center;
  width: 30%; /* Ajusta el ancho según tus necesidades */
  margin: 50px 0;
}

.icon-box i {
  font-size: 3rem;
  margin-bottom: 10px;
}

@media (max-width: 768px) {
  .icon-box {
    width: 45%; /* Ajusta el ancho para pantallas más pequeñas */
  }
}

@media (max-width: 576px) {
  .icon-box {
    width: 100%; /* Ajusta el ancho para dispositivos móviles */
  }
}



.cursos{
background-color: white;
}
h1 {
  text-align: center;
  margin-bottom: 20px;
  padding: 70px;
}
h4{
  color:#555;
  
}
.card-container3 {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 20px;
  width: 100%;
}
.card3 {
  background-color: #fff;
  border-radius: 8px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  overflow: hidden;
  width: 300px;
  text-align: center;
}
.card3 img {
  width: 100%;
  height: auto;
}
.card3-content {
  padding: 20px;
}
.price {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 10px 0;
}
.price .old-price {
  text-decoration: line-through;
  margin-right: 10px;
  color: #a5a5a5;
}
.discount {
  background-color: #ff5733;
  color: #fff;
  padding: 5px 10px;
  border-radius: 5px;
  font-size: 14px;
  position: absolute;
  top: 10px;
  right: 10px;
}
.card3-wrapper {
  position: relative;
}


.fondoamarillo{
  background-color: #FFF94D;
}
.testimonial-section {
  max-width: 800px;
  width: 100%;
  background-color: #FFF94D;
  padding: 80px;
  text-align: center;
  margin: auto;
}

.testimonial-section h1 {
  margin-bottom: 20px;
  color: black;
  font-size:40px;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.8); 
}
.testimonial p{

  color: #333;
}
.carousel {
  position: relative;
  overflow: hidden;
  width: 100%;
}

.testimonial {
  display: none;
  padding: 20px;
}

.testimonial.active {
  display: block;
}

.controls {
  margin-top: 10px;
}

.controls span {
  cursor: pointer;
  padding: 10px;
  font-size: 40px;
  user-select: none;
}

.prev {
  float: left;
}

.next {
  float: right;
}

@media (max-width: 600px) {
  .testimonial-section {
      padding: 15px;
  }

  .controls span {
      font-size: 20px;
      padding: 8px;
  }
}


.background-image {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-image: url(IMG-20240527-WA0004.jpg);
  background-repeat: no-repeat;
  background-size: cover;
  z-index: -1;
  filter: blur(5px);
}
.formulario{
  background-color: #ffffff00;
  padding: 20px;
  border-radius: 8px;
  width: 90%;
  max-width: 500px;
  animation: fadeIn 2s ease-in-out;
  margin: auto;
  margin-bottom: 80px;
  margin-top: 80px;
  
  

}

#contacto {
  margin-bottom: 20px;
  
}
.formulario h1{
  color: white;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.8); 
}
form {
  display: flex;
  flex-direction: column;
  
}

label {
  margin-bottom: 5px;
  font-weight: bold;
  color: #333;
  
}

input, textarea {
  margin-bottom: 15px;
  padding: 10px;
  border: 1px solid #ccc;
  border-radius: 4px;
  font-size: 16px;
  width: 100%;
  box-sizing: border-box;
  background-color: rgba(31, 31, 27, 0);
}
input:hover{
  border-bottom: 2px solid rgb(255, 238, 37)
}
textarea:hover{
  border-bottom: 2px solid rgb(255, 238, 37);
}

button {
  padding: 10px;
  background-color: rgb(0, 0, 0);
  border: none;
  border-radius: 40px;
  color: white;
  font-size: 16px;
  cursor: pointer;
}

button:hover {
  background-color: #333;
}

@media (max-width: 600px) {
  .container {
      padding: 15px;
  }
}

.faq-section {
  background-color: rgba(0, 0, 0, 0.194);
  border-radius: 8px;
  padding: 20px;
  max-width: 800px;
  width: 100%;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  margin-top: 80px;
  margin-bottom: 80px;
  margin-left: auto;
  margin-right: auto;
}

.faq-section h1 {
  text-align: center;
  color: white;
  margin-bottom: 20px;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.8); 
}

.faq-item {
  border-bottom: 1px solid #e0e0e0;
  padding: 10px 0;
  color: #000000;
}

.faq-item:last-child {
  border-bottom: none;
}

.question {
  font-weight: bold;
  cursor: pointer;
  color: #FFF94D;
  transition: color 0.3s;
  margin: 0;
}

.question:hover {
  color: #ffffff;
}

.answer {
  display: none;
  padding-top: 10px;
  color: #000000;
}

/* Responsive Design */
@media (max-width: 600px) {
  .faq-section {
      padding: 15px;
  }

  .question {
      font-size: 1rem;
  }

  .answer {
      font-size: 0.9rem;
  }
}
.iframe-container {
  position: relative;
  width: 100%;
  padding-top: 56.25%; /* Proporción de aspecto 16:9 (Para videos o mapas, ajusta según necesites) */
  overflow: hidden;
  border-radius: 20px;
  filter: drop-shadow(0px 0px 10px rgba(0, 0, 0, 0.5)) brightness(60%) contrast(200%);
}

.iframe-container iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border: 0;
}







footer{
  background-color: black;
  color: white;
  text-align: center;
  height: 210px;
  width: 100%;
  bottom: 0;
  margin-top: -70px;

}
.letraschicas{
  color:#767676;
  font-size:small;
  background-color: #000;
  margin-top: 10px;
}
.horizontal-linea {
  width: 15%;
  height: 0.5px;
  background-color: #f3f305;
  margin-top: 10px;
  
  margin-left: auto;
  margin-right: auto;
  
  
}
.dejavu{
  background-color: #000;
}
#redes{
  cursor: url("hand.cur"), pointer;
}

@media (max-width:768px){
  .container{
      padding: 20px;
  }
}



.back-to-top {
  position: fixed;
  bottom: 90px;
  right: 10px;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 50px;
  height: 50px;
  background-color: #000;
  color: #fff;
  border-radius: 50%;
  text-decoration: none;
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.3s, visibility 0.3s;
  z-index: 1000; 
}

.back-to-top i {
  font-size: 24px;
}

.back-to-top.show {
  opacity: 1;
  visibility: visible;
}

@media (max-width: 600px) {
  .back-to-top {
      width: 40px;
      height: 40px;
  }

  .back-to-top i {
      font-size: 20px;
  }
}
